#ifndef SAMPLE_CALLS_H
#define SAMPLE_CALLS_H

#include <Robot.h>

// moving joints to values p*
void move_joints_to( Robot_var& robot, 
		     double p0,
		     double p1,
		     double p2,
		     double p3,
		     double p4,
		     double p5,
		     double p6 );

// moving joints by values p*
void move_joints_by( Robot_var& robot, 
		     double p0,
		     double p1,
		     double p2,
		     double p3,
		     double p4,
		     double p5,
		     double p6 );

// moving robot tool frame to rpy pose, p* - X,Y,Z,A,B,C
void move_rpy_to( Robot_var& robot, 
		  double p0,
		  double p1,
		  double p2,
		  double p3,
		  double p4,
		  double p5 );
// moving robot tool frame rpy pose by  p* - X,Y,Z,A,B,C
void move_rpy_by( Robot_var& robot, 
		  double p0,
		  double p1,
		  double p2,
		  double p3,
		  double p4,
		  double p5 );

// moving joint "num" to pose "p" 
void move_joint_to( Robot_var& robot, 
		    int num,
		    double p );

// moving joint "num" by value "p" 
void move_joint_by( Robot_var& robot, 
		    int num,
		    double p );
//
void take_big_gripper( Robot_var& robot);
//
void put_big_gripper( Robot_var& robot);
//
void take_small_gripper( Robot_var& robot);
//
void put_small_gripper( Robot_var& robot);
//
void take_vacuum_gripper( Robot_var& robot);
//
void put_vacuum_gripper( Robot_var& robot);
//
void go_home( Robot_var& robot);
// set gripper opening to value "opening"
void open_gripper( Robot_var& robot, double opening);
// joke function
void draw_end( Robot_var& robot);


















#endif
